package types

import (
	"gitp78su.ipnodns.ru/svi/goarch/lev0/alias"
)

// IElemBase -- интерфейс элемента схемы
type IElemBase interface {
	ILabel
	// Type -- возвращает тип элемента
	Type() alias.Type
	// Id -- возвращает идентификатор
	Id() alias.Id
	// Elem -- возвращает элементы словаря
	Elem() map[string]interface{}
	// Checker -- проверяет правильность схемы
	Check(map[alias.Id]IElemDrawer) string
}
